# This role is intended as a placeholder and has not been tested

- name: Login to Azure
  command: "az login --service-principal --username {{ aks.client_id }} --password {{ aks.client_secret }} --tenant {{
aks.tenant_id }}"

- name: Retrieve storage access key
  command: "az storage account keys list --account-name {{ aks.resource_name_prefix }}{{ aks.storage_account }} --resource-group {{ aks.resource_name_prefix }}{{ aks.resource_group }}
--query '[0].value' --output tsv"
  register: storage_access_key

# Hack work around for AKS not having a definition of the backend.
# Longer term solution is make backend configuration consistent across all the terraform
# modules rather than having to understand how each one needs to work.
- name: Add main-backend.tf for AKS
  copy:
    src: main-backend.tf
    dest: "{{ base_save_dir }}/terraform-aks"

- name: Run Terraform Destroy 
  community.general.terraform:
    project_path: "{{ base_save_dir }}/terraform-aks"
    workspace: "{{ t4_workspace }}"
    force_init: yes
    init_reconfigure: yes
    backend_config:
      storage_account_name: "{{ aks.resource_name_prefix }}{{ aks.storage_account }}"
      container_name: "{{ aks.resource_name_prefix }}{{ aks.storage_container }}"
      key: "xand"
      access_key: "{{ storage_access_key.stdout }}"
    state: absent
    variables:
      ad_app_name: "aks-ad-app"
      azure_region: "{{ aks.region }}"
      azure_node_min_count: "{{ aks.node_min_count }}"
      azure_node_max_count: "{{ aks.node_max_count }}"
      azure_vm_size: "Standard_D8_v3"
      cluster_name: "{{ aks.resource_name_prefix }}{{ aks.cluster_name }}"
      cluster_version: "{{ kubernetes_cluster_version }}"
      service_principal_application_id: "{{ aks.client_id }}"
      service_principal_secret: "{{ aks.client_secret }}"
  environment:
    ARM_SUBSCRIPTION_ID: "{{ aks.subscription_id }}"
    ARM_CLIENT_ID: "{{ aks.client_id }}"
    ARM_CLIENT_SECRET: "{{ aks.client_secret }}"
    ARM_TENANT_ID: "{{ aks.tenant_id }}"
